OpenStack API documentation site

Need anchor tags for headings built on api.openstack.org so pointers can be more exact

Reported by Anne Gentle on 2012-04-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-api-site
Low
Diane Fleming

Bug Description

chuck: annegentle: suggestion for api.openstack.org
[3:08pm] chuck: I would like to be able to send people links that would bring them directly to the volume api
[3:08pm] chuck: so adding something like
[3:08pm] chuck: http://api.openstack.org/#volume
[3:08pm] chuck: plus the anchor tags for all the other apis

I'd also request anchor tags for each heading that is a Compute extension.

Anne Gentle (annegentle) on 2012-04-12
Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → High
Ying Chun Guo (daisy-ycguo) wrote :

I'd like to work on this issue after I could collect some inputs.

I'm able to come up with two ways to resolve this issue:
1) Generate Table of Content. But the TOC generation depends on the XSL used in the maven plugin.
2) We are able to manually add elements <link> at the top of this DocBook to create quick links to specific sections.

I personally prefer the second choice, although the <link> elements need to be managed manually. The maven plugin is out of the range of OpenStack. Policies are complex.

Do you have preference? Do you have better suggestions? Feel free to purpose. Thank you in advance.

Regards
Daisy

Anne Gentle (annegentle) wrote :

Hi Daisy,
Sorry I didn't see this until now! Are you still interested in working on this? My preference is for a generated table of contents so when new APIs are added we don't have manual work to do.

Let me know your thoughts.

Thanks,
Anne

Tom Fifield (fifieldt) on 2012-07-08
Changed in openstack-manuals:
assignee: nobody → Ying Chun Guo (daisy-ycguo)
Ying Chun Guo (daisy-ycguo) wrote :

Hi, Anne

As I know, the TOC generation depends on the XSL used in the maven plugin. Are there any other ways to add a TOC at the top of a document ?

Daisy

Tom Fifield (fifieldt) on 2012-07-29
tags: added: api-site
Ying Chun Guo (daisy-ycguo) wrote :

Hi, Anne

I verified. The only way to add a TOC is to update the XSL document used when HTML is generating. May you consultant with David to get his suggestion?

Daisy

Anne Gentle (annegentle) on 2012-08-17
Changed in openstack-manuals:
importance: High → Low
Tom Fifield (fifieldt) on 2012-10-15
affects: openstack-manuals → openstack-api-site
Anne Gentle (annegentle) wrote :

Attachment shows a PDF mockup of a "Jump to" navigation menu that would jump to the major H1 headings in the page, one for each API. This is a UI element to be added, but the bug also requests that the URL be a shortened one just the heading, such as api.openstack.org/#volume

Anne Gentle (annegentle) on 2013-02-08
Changed in openstack-api-site:
assignee: Ying Chun Guo (daisy-ycguo) → nobody
Changed in openstack-api-site:
assignee: nobody → Diane Fleming (diane-fleming)
milestone: none → grizzly
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/28248
Committed: http://github.com/openstack/api-site/commit/bb8ca14bafa9e220e43394cac8a68e1b868f6b01
Submitter: Jenkins
Branch: master

commit bb8ca14bafa9e220e43394cac8a68e1b868f6b01
Author: Diane Fleming <email address hidden>
Date: Sun May 5 08:37:44 2013 -0500

    Updated to 1.8.0 to add permalinks and jump menu to api-ref page

    bug: #980228
    bug: #1039163

    Change-Id: I6a6d14c06ac1873303a5b6892d0923d36ff02a4b
    author: Diane Fleming

Changed in openstack-api-site:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers